Loading...
Searching...
No Matches
pappso::MassSpectrumFilterInterface Class Referenceabstract

generic interface to apply a filter on a MassSpectrum This is the same as FilterInterface, but some filter are only relevant if they are used on MassSpectrum using this interface means the filter can only be applied on MassSpectrum and not on Trace More...

`#include <filterinterface.h>`

Inheritance diagram for pappso::MassSpectrumFilterInterface:

## Public Member Functions

virtual MassSpectrum & | filter (MassSpectrum &spectrum) const =0
virtual | ~MassSpectrumFilterInterface ()

## Detailed Description

generic interface to apply a filter on a MassSpectrum This is the same as FilterInterface, but some filter are only relevant if they are used on MassSpectrum using this interface means the filter can only be applied on MassSpectrum and not on Trace

Definition at line 55 of file filterinterface.h.

## Constructor & Destructor Documentation

## ~MassSpectrumFilterInterface()

virtual pappso::MassSpectrumFilterInterface::~MassSpectrumFilterInterface | ( |  | ) |

inline virtual

Definition at line 60 of file filterinterface.h.

{};

## Member Function Documentation

## filter()

virtual MassSpectrum & pappso::MassSpectrumFilterInterface::filter | ( | MassSpectrum & | spectrum | ) | const

pure virtual

Implemented in pappso::FilterTandemDeisotope, pappso::MassSpectrumFilterGreatestItensities, pappso::MassSpectrumFilterResampleKeepMzRange, pappso::MassSpectrumFilterResampleRemoveMzRange, and pappso::TimsMs2CentroidFilter.

The documentation for this class was generated from the following file:

- pappsomspp/core/processing/filters/filterinterface.h